# Get shipment status Get carrier product codes for the shipment, shipment status and optional carrier tracking data. Endpoint: GET /shipment/{shipment_id} Version: 1.3.0 Security: bearerAuth ## Path parameters: - `shipment_id` (string, required) Unique shipment ID. ## Header parameters: - `Authorization` (string, required) Authorization token on format Bearer . ## Response 200 fields (application/vdn.klarna.shipping.get_shipment-v1+json): - `additional_info` (string) Any additional information that should be passed to a merchant from TMS can be provided here. Limit is 256 characters. - `selected_shipping_option` (object, required) - `selected_shipping_option.carrier` (string, required) Transportation carrier company used. merchant can be used for merchant self-hosted delivery methods (ex. instore pickup). generic-postal can be used to indicate a generic postal network. Additional carriers can be supported on request. Value should be one of: Enum: "acs-courier", "airmee", "an-post", "asendia", "australia-post", "austrian-post", "bartolini", "best", "bpost", "bring", "bring-green", "budbee", "budbee-box", "budcompaniett", "bussgods", "citymail", "colis-prive", "colissimo", "collicare", "correos", "correos-express", "crown-relocations", "czech-post", "dachser", "danske-fragt", "dao", "deutsche-post", "dhl", "dhl-express", "doorier", "dooris", "dpd", "dsv", "dynalogic", "e2y", "early-bird", "emily-company", "evri", "fedex", "fietskoeriers", "generic", "generic-postal", "gls", "gordon", "helthjem", "hoekstra", "hrvatska-posta", "in-time", "instabikes", "instabox", "instabox-green", "itella", "kaukokiito", "kiitolinja", "laposte", "leen-merken", "lgt", "magyar-posta", "mat-se", "matkahuolto", "merchant", "mioo-assembly-service", "mx-transport", "mondial-relay", "mtd", "netflux", "ntex", "oda", "omniva", "onroad", "paack", "packs", "porterbuddy", "post-it", "post-luxembourg", "posta-slovenija", "posten-norge", "posti", "postnl", "postnl-extra-home", "postnord", "professional-parcel-logistic", "quick-pac", "rapido", "red-je-pakketje", "relais-colis", "royal-mail", "safe-carrier-logistics", "sagawa", "schenker", "skargarda", "slovenska-posta", "stuart", "svosj", "svosj-trial", "swiss-post", "swoopin", "trunkrs", "ups", "urbit", "urgent-cargus", "van-spreuwel", "wideroe-smart", "wolt", "yunda", "zalando" - `selected_shipping_option.carrier_product` (object) - `selected_shipping_option.carrier_product.addon_identifiers` (array) Product addon identifiers Example: ["1"] - `selected_shipping_option.carrier_product.identifier` (string) Carrier identifier/product code Example: "19" - `selected_shipping_option.carrier_product.name` (string) Carrier product name Example: "MyPack" - `shipment_id` (string, required) The id of the (reserved) shipment Example: "c2059e35-58b1-4482-ad55-5e7ef541eae4" - `shipments` (array) - `shipments.tracking_id` (string) Carrier-specific tracking id. - `shipments.tracking_url` (string) Carrier-specific URL to a web page where the consumer can see and make changes to their delivery. ## Response 401 fields ## Response 404 fields